Bug 1459132 (CVE-2017-9374) - CVE-2017-9374 Qemu: usb: ehci host memory leakage during hotunplug
Summary: CVE-2017-9374 Qemu: usb: ehci host memory leakage during hotunplug
Status: NEW
Alias: CVE-2017-9374
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170208,reported=2...
Keywords: Security
Depends On: 1459137 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1459124 1476084
TreeView+ depends on / blocked
 
Reported: 2017-06-06 11:57 UTC by Prasad J Pandit
Modified: 2018-07-18 15:23 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2017-06-06 11:57:44 UTC
Quick Emulator(Qemu) built with the USB EHCI Emulation support is vulnerable
to a memory leakage issue. It could occur while hotunplugging the device, as
it does not release the memory allocated at initialisation.

A guest user/process could use this issue to leak host memory, resulting in
DoS for host.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=d710e1e7bd3d5bfc26b631f02ae87901ebe646b0

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/06/06/3

Comment 1 Prasad J Pandit 2017-06-06 11:58:23 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)

Comment 2 Prasad J Pandit 2017-06-06 12:08:02 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1459137]

Comment 3 Fedora Update System 2017-07-25 21:27:26 UTC
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2017-08-02 01:02:21 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 6 errata-xmlrpc 2017-08-02 04:50:48 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.